com.google.appengine.api.blobstore

## Class BlobKey

- java.lang.Object
- - com.google.appengine.api.blobstore.BlobKey

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BlobKey>

      public final class BlobKey
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Comparable<BlobKey>

  `BlobKey` contains the string identifier of a large (possibly larger than 1MB) blob of binary data that was uploaded in a previous request and can be streamed directly to users.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlobKey(java.lang.String blobKey)` Construct a new `BlobKey` with the specified key string.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(BlobKey o)`
    `boolean` | `equals(java.lang.Object object)` Two `BlobKey` objects are considered equal if they point to the same blobs.
    `java.lang.String` | `getKeyString()` Returns the blob key as a String.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BlobKey

          public BlobKey(java.lang.String blobKey)

      Construct a new `BlobKey` with the specified key string.
      Throws:
        `java.lang.IllegalArgumentException` - If the specified string was null.

  - ### Method Detail

    - #### getKeyString

          public java.lang.String getKeyString()

      Returns the blob key as a String.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object object)

      Two `BlobKey` objects are considered equal if they point to the same blobs.
      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(BlobKey o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<BlobKey>`